Skip to content

Connected apps API

10 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.

Method Path Description
GET /api/external-apps/ List Apps
POST /api/external-apps/ Create App Accepts a JSON body.
GET /api/external-apps/scopes List Scopes
GET /api/external-apps/{app_id} Get App
PATCH /api/external-apps/{app_id} Update App Accepts a JSON body.
DELETE /api/external-apps/{app_id} Delete App
GET /api/external-apps/{app_id}/activity Get App Activity Query: limit.
GET /api/external-apps/{app_id}/keys List App Keys
POST /api/external-apps/{app_id}/keys Create App Key Accepts a JSON body.
DELETE /api/external-apps/{app_id}/keys/{key_id} Revoke App Key

Try it

The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.